Bug 1279770 - [abrt] gnome-shell: load_sliced_image(): gnome-shell killed by SIGABRT
[abrt] gnome-shell: load_sliced_image(): gnome-shell killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f5838da4d6d589d2d10ce150ce6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 04:22 EST by Tim Waugh
Modified: 2016-12-20 10:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:36:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.48 KB, text/plain)
2015-11-10 04:22 EST, Tim Waugh
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-10 04:22 EST, Tim Waugh
no flags Details
File: core_backtrace (26.82 KB, text/plain)
2015-11-10 04:22 EST, Tim Waugh
no flags Details
File: dso_list (25.82 KB, text/plain)
2015-11-10 04:22 EST, Tim Waugh
no flags Details
File: environ (1.61 KB, text/plain)
2015-11-10 04:22 EST, Tim Waugh
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-10 04:22 EST, Tim Waugh
no flags Details
File: maps (125.54 KB, text/plain)
2015-11-10 04:22 EST, Tim Waugh
no flags Details
File: mountinfo (3.87 KB, text/plain)
2015-11-10 04:23 EST, Tim Waugh
no flags Details
File: open_fds (3.73 KB, text/plain)
2015-11-10 04:23 EST, Tim Waugh
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-11-10 04:23 EST, Tim Waugh
no flags Details
File: var_log_messages (304 bytes, text/plain)
2015-11-10 04:23 EST, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2015-11-10 04:22:39 EST
Description of problem:
Happened while trying to fix web-search-dialog extension.

Version-Release number of selected component:
gnome-shell-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: load_sliced_image
executable:     /usr/bin/gnome-shell
global_pid:     2397
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #4 load_sliced_image at st/st-texture-cache.c:1107
 #5 run_in_thread at gsimpleasyncresult.c:898
 #6 io_job_thread at gioscheduler.c:85
 #7 g_task_thread_pool_thread at gtask.c:1283
 #9 g_thread_proxy at gthread.c:778
Comment 1 Tim Waugh 2015-11-10 04:22:45 EST
Created attachment 1092120 [details]
File: backtrace
Comment 2 Tim Waugh 2015-11-10 04:22:47 EST
Created attachment 1092121 [details]
File: cgroup
Comment 3 Tim Waugh 2015-11-10 04:22:50 EST
Created attachment 1092122 [details]
File: core_backtrace
Comment 4 Tim Waugh 2015-11-10 04:22:52 EST
Created attachment 1092123 [details]
File: dso_list
Comment 5 Tim Waugh 2015-11-10 04:22:54 EST
Created attachment 1092124 [details]
File: environ
Comment 6 Tim Waugh 2015-11-10 04:22:55 EST
Created attachment 1092125 [details]
File: limits
Comment 7 Tim Waugh 2015-11-10 04:22:59 EST
Created attachment 1092126 [details]
File: maps
Comment 8 Tim Waugh 2015-11-10 04:23:01 EST
Created attachment 1092127 [details]
File: mountinfo
Comment 9 Tim Waugh 2015-11-10 04:23:02 EST
Created attachment 1092128 [details]
File: open_fds
Comment 10 Tim Waugh 2015-11-10 04:23:04 EST
Created attachment 1092129 [details]
File: proc_pid_status
Comment 11 Tim Waugh 2015-11-10 04:23:06 EST
Created attachment 1092130 [details]
File: var_log_messages
Comment 12 Owen Taylor 2015-11-10 09:25:25 EST
Do you have any warnings in the journal output before this happened (I expect some Gdk-Pixbuf-Critical.) Does the web search dialog make any use of the Animation class - the most obvious way this could happen if something tried to create an Animation with a scale of zero.
Comment 13 Tim Waugh 2015-11-10 11:19:04 EST
Yes, I see, it's caused by:

        let spinner_icon = Gio.File.new_for_uri(
            'resource:///org/gnome/shell/theme/process-working.svg'
        );
        let spinner = new Animation.AnimatedIcon(spinner_icon, 24);
        spinner.actor.show();
        spinner.play();
[...]
        box.add(spinner.actor)

where 'process-working.svg' is the old name for the file.
Comment 14 Fedora End Of Life 2016-11-24 08:15:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:36:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.